/**************************************************************************
* This file is part of the WebIssues program
* Copyright (C) 2006 Michał Męciński
* Copyright (C) 2007-2008 WebIssues Team
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
**************************************************************************/

#ifndef TREEVIEWHELPER_H
#define TREEVIEWHELPER_H

#include <QMap>

#include "abstracttablemodel.h"

class QTreeView;

namespace WebIssues
{

/**
* Functions for reading and applying settings of a tree view.
*/
class TreeViewHelper
{
public:
    /**
    * Read column widths from the tree view.
    */
    static QMap<Column, int> readColumnWidths( QTreeView* view );

    /**
    * Apply column widths to the tree view.
    */
    static void applyColumnWidths( QTreeView* view, const QMap<Column, int>& widths );

    /**
    * Read expanded nodes from the tree view.
    */
    static QList<int> readExpandedNodes( QTreeView* view );

    /**
    * Apply expanded nodes to the tree view.
    */
    static void applyExpandedNodes( QTreeView* view, const QList<int>& nodes );
};

}

#endif
